## InfdXmlServer InfdXmlServer |

## Synopsis

                        InfdXmlServer;
    struct              InfdXmlServerIface;
    enum                InfdXmlServerStatus;
    void                infd_xml_server_close               (InfdXmlServer *server);
    void                infd_xml_server_new_connection      (InfdXmlServer *server,
                                                             InfXmlConnection *connection);

## Object Hierarchy

      GInterface
       +----InfdXmlServer

      GEnum
       +----InfdXmlServerStatus

## Prerequisites

InfdXmlServer requires GObject.

## Known Implementations

InfdXmlServer is implemented by InfdXmppServer.

## Properties

      "status"                   InfdXmlServerStatus   : Read

## Signals

      "new-connection"                                 : Run Last

## Description

## Details

### InfdXmlServer

    typedef struct _InfdXmlServer InfdXmlServer;

### struct InfdXmlServerIface

    struct InfdXmlServerIface {
      GTypeInterface parent;

      /* Virtual Table */
      void (*close)(InfdXmlServer* server);

      /* Signals */
      void (*new_connection)(InfdXmlServer* server,
                             InfXmlConnection* connection);
    };

### enum InfdXmlServerStatus

    typedef enum {
      INFD_XML_SERVER_CLOSED,
      INFD_XML_SERVER_CLOSING,
      INFD_XML_SERVER_OPEN,
      INFD_XML_SERVER_OPENING
    } InfdXmlServerStatus;

### infd_xml_server_close ()

    void                infd_xml_server_close               (InfdXmlServer *server);

Closes `server`.

`server` : | A InfdXmlServer.

### infd_xml_server_new_connection ()

    void                infd_xml_server_new_connection      (InfdXmlServer *server,
                                                             InfXmlConnection *connection);

Emits the "new-connection" signal on `server`.

`server` : | A InfdXmlServer.
`connection` : | A InfXmlConnection.

## Property Details

### The `"status"` property

      "status"                   InfdXmlServerStatus   : Read

The status of the server.

Default value: INFD_XML_SERVER_CLOSED

## Signal Details

### The `"new-connection"` signal

    void                user_function                      (InfdXmlServer    *infdxmlserver,
                                                            InfXmlConnection *arg1,
                                                            gpointer          user_data)          : Run Last

`infdxmlserver` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.